%%% Simulacion de osciladores amortiguados y forzados, calculos de
%%% espectros y resonancias. Simulacion de aspectos relevantes del
%%% comportamiento oscilatorio.


%%% 1 El oscilador forzado y amortiguado.

%%% Constantes fisicas
function oscilador1(masa,gama,k,Tmax)

%% Plantear la misma solucion (en numeros complemjos) para todos los casos


%%% T exponencial es 2masa/gama 
%%% Si queremos que sea del orden de 300 entonces 
lambda = (gama + sqrt(gama*gama - 4*masa*k))/(2*masa);

t=[0:0.01:Tmax];

x=real(exp(-lambda*t)); % Tomar la parte real de la solucion
plot(t,x,t,1/exp(1),'LineWidth',2);box off;
hold on;f=gama/(2*masa);
plot(t,exp(-f*t),'Color','r')
plot(t,-exp(-f*t),'Color','r')
plot(t,-1/exp(1),'Color','k')